package com.heyu.api.data.entity.vv;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
*买家信息
* @author quyixiao
* @since 2025-11-22
*/

@Data
@TableName("vv_buyer")
public class VvBuyerEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvBuyerEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                                                 // 
    public final static String is_delete = CLASS_NAME + "is_delete";                                                    // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                                                // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                                                // 修改时间
    public final static String buyer_name = CLASS_NAME + "buyer_name";                                                  // 买家名称
    public final static String buyer_weixin = CLASS_NAME + "buyer_weixin";                                              // 买家微信
    public final static String buyer_phone = CLASS_NAME + "buyer_phone";                                                // 买家手机号
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";                                      // 买家创建时间
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";                                      // 买家修改时间
    public final static String is_test = CLASS_NAME + "is_test";                                                        // 是否是测试账号
    public final static String avatar_ = CLASS_NAME + "avatar";                                                         // 微信头像
    public final static String session_key = CLASS_NAME + "session_key";                                                // 微信session_key
    public final static String openid_ = CLASS_NAME + "openid";                                                         // 微信open_id
    public final static String promoter_sum_amount = CLASS_NAME + "promoter_sum_amount";                                // 总金额
    public final static String promoter_not_arrive_amount = CLASS_NAME + "promoter_not_arrive_amount";                  // 未到账金额
    public final static String promoter_arrive_account_amount = CLASS_NAME + "promoter_arrive_account_amount";          // 到账户余额
    public final static String promoter_apply_draw_cash_amount = CLASS_NAME + "promoter_apply_draw_cash_amount";        // 申请提现金额
    public final static String promoter_draw_cash_failed_amount = CLASS_NAME + "promoter_draw_cash_failed_amount";      // 提现失败金额
    public final static String promoter_draw_cash_success_amount = CLASS_NAME + "promoter_draw_cash_success_amount";    // 提现金额
    public final static String promoter_canceled_amount = CLASS_NAME + "promoter_canceled_amount";                      // 取消金额
    public final static String promoter_buyer_count = CLASS_NAME + "promoter_buyer_count";                              // 推荐的买家数量
    public final static String promoter_draw_cash_success_count = CLASS_NAME + "promoter_draw_cash_success_count";      // 提现成功次数
    public final static String promoter_draw_cash_failed_count = CLASS_NAME + "promoter_draw_cash_failed_count";        // 提现失败次数
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //买家名称
    private String buyerName;
    //买家微信
    private String buyerWeixin;
    //买家手机号
    private String buyerPhone;
    //买家创建时间
    private Long createTimestamp;
    //买家修改时间
    private Long modifyTimestamp;
    //是否是测试账号，1 测试账号， 0 非测试账号
    private Integer isTest;
    //微信头像
    private String avatar;
    //微信session_key
    private String sessionKey;
    //微信open_id
    private String openid;
    //总金额
    private BigDecimal promoterSumAmount;
    //未到账金额
    private BigDecimal promoterNotArriveAmount;
    //到账户余额
    private BigDecimal promoterArriveAccountAmount;
    //申请提现金额
    private BigDecimal promoterApplyDrawCashAmount;
    //提现失败金额
    private BigDecimal promoterDrawCashFailedAmount;
    //提现金额
    private BigDecimal promoterDrawCashSuccessAmount;
    //取消金额
    private BigDecimal promoterCanceledAmount;
    //推荐的买家数量
    private Integer promoterBuyerCount;
    //提现成功次数
    private Integer promoterDrawCashSuccessCount;
    //提现失败次数
    private Integer promoterDrawCashFailedCount;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 买家名称 
     * @return
     */
    public String getBuyerName() {
        return buyerName;
    }
    /**
     * 买家名称 
     * @param buyerName
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    /**
     * 买家微信 
     * @return
     */
    public String getBuyerWeixin() {
        return buyerWeixin;
    }
    /**
     * 买家微信 
     * @param buyerWeixin
     */
    public void setBuyerWeixin(String buyerWeixin) {
        this.buyerWeixin = buyerWeixin;
    }

    /**
     * 买家手机号 
     * @return
     */
    public String getBuyerPhone() {
        return buyerPhone;
    }
    /**
     * 买家手机号 
     * @param buyerPhone
     */
    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

    /**
     * 买家创建时间 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 买家创建时间 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 买家修改时间 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 买家修改时间 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 是否是测试账号 
     * @return
     */
    public Integer getIsTest() {
        return isTest;
    }
    /**
     * 是否是测试账号 
     * @param isTest
     */
    public void setIsTest(Integer isTest) {
        this.isTest = isTest;
    }

    /**
     * 微信头像 
     * @return
     */
    public String getAvatar() {
        return avatar;
    }
    /**
     * 微信头像 
     * @param avatar
     */
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    /**
     * 微信session_key 
     * @return
     */
    public String getSessionKey() {
        return sessionKey;
    }
    /**
     * 微信session_key 
     * @param sessionKey
     */
    public void setSessionKey(String sessionKey) {
        this.sessionKey = sessionKey;
    }

    /**
     * 微信open_id 
     * @return
     */
    public String getOpenid() {
        return openid;
    }
    /**
     * 微信open_id 
     * @param openid
     */
    public void setOpenid(String openid) {
        this.openid = openid;
    }

    /**
     * 总金额 
     * @return
     */
    public BigDecimal getPromoterSumAmount() {
        return promoterSumAmount;
    }
    /**
     * 总金额 
     * @param promoterSumAmount
     */
    public void setPromoterSumAmount(BigDecimal promoterSumAmount) {
        this.promoterSumAmount = promoterSumAmount;
    }

    /**
     * 未到账金额 
     * @return
     */
    public BigDecimal getPromoterNotArriveAmount() {
        return promoterNotArriveAmount;
    }
    /**
     * 未到账金额 
     * @param promoterNotArriveAmount
     */
    public void setPromoterNotArriveAmount(BigDecimal promoterNotArriveAmount) {
        this.promoterNotArriveAmount = promoterNotArriveAmount;
    }

    /**
     * 到账户余额 
     * @return
     */
    public BigDecimal getPromoterArriveAccountAmount() {
        return promoterArriveAccountAmount;
    }
    /**
     * 到账户余额 
     * @param promoterArriveAccountAmount
     */
    public void setPromoterArriveAccountAmount(BigDecimal promoterArriveAccountAmount) {
        this.promoterArriveAccountAmount = promoterArriveAccountAmount;
    }

    /**
     * 申请提现金额 
     * @return
     */
    public BigDecimal getPromoterApplyDrawCashAmount() {
        return promoterApplyDrawCashAmount;
    }
    /**
     * 申请提现金额 
     * @param promoterApplyDrawCashAmount
     */
    public void setPromoterApplyDrawCashAmount(BigDecimal promoterApplyDrawCashAmount) {
        this.promoterApplyDrawCashAmount = promoterApplyDrawCashAmount;
    }

    /**
     * 提现失败金额 
     * @return
     */
    public BigDecimal getPromoterDrawCashFailedAmount() {
        return promoterDrawCashFailedAmount;
    }
    /**
     * 提现失败金额 
     * @param promoterDrawCashFailedAmount
     */
    public void setPromoterDrawCashFailedAmount(BigDecimal promoterDrawCashFailedAmount) {
        this.promoterDrawCashFailedAmount = promoterDrawCashFailedAmount;
    }

    /**
     * 提现金额 
     * @return
     */
    public BigDecimal getPromoterDrawCashSuccessAmount() {
        return promoterDrawCashSuccessAmount;
    }
    /**
     * 提现金额 
     * @param promoterDrawCashSuccessAmount
     */
    public void setPromoterDrawCashSuccessAmount(BigDecimal promoterDrawCashSuccessAmount) {
        this.promoterDrawCashSuccessAmount = promoterDrawCashSuccessAmount;
    }

    /**
     * 取消金额 
     * @return
     */
    public BigDecimal getPromoterCanceledAmount() {
        return promoterCanceledAmount;
    }
    /**
     * 取消金额 
     * @param promoterCanceledAmount
     */
    public void setPromoterCanceledAmount(BigDecimal promoterCanceledAmount) {
        this.promoterCanceledAmount = promoterCanceledAmount;
    }

    /**
     * 推荐的买家数量 
     * @return
     */
    public Integer getPromoterBuyerCount() {
        return promoterBuyerCount;
    }
    /**
     * 推荐的买家数量 
     * @param promoterBuyerCount
     */
    public void setPromoterBuyerCount(Integer promoterBuyerCount) {
        this.promoterBuyerCount = promoterBuyerCount;
    }

    /**
     * 提现成功次数 
     * @return
     */
    public Integer getPromoterDrawCashSuccessCount() {
        return promoterDrawCashSuccessCount;
    }
    /**
     * 提现成功次数 
     * @param promoterDrawCashSuccessCount
     */
    public void setPromoterDrawCashSuccessCount(Integer promoterDrawCashSuccessCount) {
        this.promoterDrawCashSuccessCount = promoterDrawCashSuccessCount;
    }

    /**
     * 提现失败次数 
     * @return
     */
    public Integer getPromoterDrawCashFailedCount() {
        return promoterDrawCashFailedCount;
    }
    /**
     * 提现失败次数 
     * @param promoterDrawCashFailedCount
     */
    public void setPromoterDrawCashFailedCount(Integer promoterDrawCashFailedCount) {
        this.promoterDrawCashFailedCount = promoterDrawCashFailedCount;
    }

    @Override
    public String toString() {
        return "VvBuyerEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",buyerName=" + buyerName +
                ",buyerWeixin=" + buyerWeixin +
                ",buyerPhone=" + buyerPhone +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                ",isTest=" + isTest +
                ",avatar=" + avatar +
                ",sessionKey=" + sessionKey +
                ",openid=" + openid +
                ",promoterSumAmount=" + promoterSumAmount +
                ",promoterNotArriveAmount=" + promoterNotArriveAmount +
                ",promoterArriveAccountAmount=" + promoterArriveAccountAmount +
                ",promoterApplyDrawCashAmount=" + promoterApplyDrawCashAmount +
                ",promoterDrawCashFailedAmount=" + promoterDrawCashFailedAmount +
                ",promoterDrawCashSuccessAmount=" + promoterDrawCashSuccessAmount +
                ",promoterCanceledAmount=" + promoterCanceledAmount +
                ",promoterBuyerCount=" + promoterBuyerCount +
                ",promoterDrawCashSuccessCount=" + promoterDrawCashSuccessCount +
                ",promoterDrawCashFailedCount=" + promoterDrawCashFailedCount +
                "}";
    }
}